com.impinj.octane

## Enum LockMemoryBank

- java.lang.Object
- - java.lang.Enum<LockMemoryBank>
  - - com.impinj.octane.LockMemoryBank

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LockMemoryBank>

      public enum LockMemoryBank
      extends java.lang.Enum<LockMemoryBank>
      implements java.io.Serializable

  An enumeration describing which memory bank to lock
  See Also:
    `TagLockOp`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AccessPassword` Perform a lock operation on the Access password memory region in the reserved memory bank.
    `Epc` Perform a lock operation on the EPC memory bank.
    `KillPassword` Perform a lock operation on the Kill password memory region in the reserved memory bank.
    `Tid` Perform a lock operation on the TID memory bank.
    `User` Perform a lock operation on the User memory bank.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static LockMemoryBank` | `valueOf(int lockMemoryBankValue)`
    `static LockMemoryBank` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LockMemoryBank[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KillPassword

          public static final LockMemoryBank KillPassword

      Perform a lock operation on the Kill password memory region in the reserved memory bank.

    - #### AccessPassword

          public static final LockMemoryBank AccessPassword

      Perform a lock operation on the Access password memory region in the reserved memory bank.

    - #### Epc

          public static final LockMemoryBank Epc

      Perform a lock operation on the EPC memory bank.

    - #### Tid

          public static final LockMemoryBank Tid

      Perform a lock operation on the TID memory bank.

    - #### User

          public static final LockMemoryBank User

      Perform a lock operation on the User memory bank.

  - ### Method Detail

    - #### values

          public static LockMemoryBank[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockMemoryBank c : LockMemoryBank.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockMemoryBank valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static LockMemoryBank valueOf(int lockMemoryBankValue)

      Parameters:
        `lockMemoryBankValue` - an integer value
      Returns:
        the enumeration object corresponding to that integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value for this enumeration object